Post by GeekScum » Sat May 25, 2024 10:16 am

Trying to get a friends install working again.
Open Cart Version 1.5.6.4 -> 4.0.2.3
PHP Version 8.0
MySQL 5.7
Was on version 1.5.6.4 and after an automatic php upgrade by hosting site was no longer fully functional. Tried upgrading to OpenCart version 3.0.3.9 and got a blank screen at sitename.com/install and an error in the log indicating could not load database adapter. Tried upgrading to 4.0.2.3 same problem but now at least I get the following error message "Error: Could not load database adaptor mysql!!: in /home2/product1/public_html/system/library/db.php on line 36"

I dug through other posts related to this but haven't been able to find a solution that works. Appreciate any help, thanks.

Newbie

Posts

Joined
Sat May 25, 2024 10:04 am

Post by straightlight » Sun May 26, 2024 8:09 am

GeekScum wrote:
Sat May 25, 2024 10:16 am
Trying to get a friends install working again.
Open Cart Version 1.5.6.4 -> 4.0.2.3
PHP Version 8.0
MySQL 5.7
Was on version 1.5.6.4 and after an automatic php upgrade by hosting site was no longer fully functional. Tried upgrading to OpenCart version 3.0.3.9 and got a blank screen at sitename.com/install and an error in the log indicating could not load database adapter. Tried upgrading to 4.0.2.3 same problem but now at least I get the following error message "Error: Could not load database adaptor mysql!!: in /home2/product1/public_html/system/library/db.php on line 36"

I dug through other posts related to this but haven't been able to find a solution that works. Appreciate any help, thanks.
At this stage, better to install a fresh version of OC v4.0.2.3 and integrate your database data afterwards rather than running the upgrade since, most likely, v1.5x releases won't be compatible with v4.x releases by simply running the wizard.

Dedication and passion goes to those who are able to push and merge a project.

Regards,
Straightlight
Programmer / Opencart Tester


Legendary Member

Posts

Joined
Mon Nov 14, 2011 11:38 pm
Location - Canada, ON

Post by JNeuhoff » Sun May 26, 2024 6:33 pm

As said here, better to do a fresh install. And use MySql 8 DB server, along with a PHP 8.x version.

Export/Import Tool * SpamBot Buster * Unused Images Manager * Instant Option Price Calculator * Number Option * Google Tag Manager * Survey Plus * OpenTwig


User avatar
Guru Member
Online

Posts

Joined
Wed Dec 05, 2007 3:38 am


Post by ADD Creative » Sun May 26, 2024 9:08 pm

The mysql extension was removed in PHP 7. You need to use mysqli. You should be able to change DB_DRIVER in the config.php and admin/config.php.

www.add-creative.co.uk


Expert Member

Posts

Joined
Sat Jan 14, 2012 1:02 am
Location - United Kingdom
Who is online

Users browsing this forum: No registered users and 1 guest